io.vertx.redis.op

## Enum BitOperation

- java.lang.Object
- - java.lang.Enum<BitOperation>
  - - io.vertx.redis.op.BitOperation

- All Implemented Interfaces:
    Serializable, Comparable<BitOperation>

      public enum BitOperation
      extends Enum<BitOperation>

  Author:
    Marko Strukelj

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AND`
    `NOT`
    `OR`
    `XOR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BitOperation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BitOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AND

          public static final BitOperation AND

    - #### OR

          public static final BitOperation OR

    - #### XOR

          public static final BitOperation XOR

    - #### NOT

          public static final BitOperation NOT

  - ### Method Detail

    - #### values

          public static BitOperation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BitOperation c : BitOperation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BitOperation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018 Eclipse. All rights reserved.